<script setup lang="ts">
import { usepictureStore } from '../stores/picture'

const pictureStore = usepictureStore()
</script>
<template>
  <v-col>
    <v-carousel
      height="800"
      show-arrows="hover"
      cycle
      hide-delimiters
      style="background-color: #212121"
    >
      <v-carousel-item v-for="(slide, i) in pictureStore.slides" :key="i">
        <!-- Remove the v-sheet and use v-img directly -->
        <v-img
          class="rounded overflow-hidden"
          :src="slide"
          :alt="slide"
          height="800"
          width="100%"
          object-fit="cover"
        >
          <!-- Optional: Loading placeholder -->
          <template #placeholder>
            <v-row class="fill-height ma-0" align="center" justify="center">
              <v-progress-circular indeterminate color="white"></v-progress-circular>
            </v-row>
          </template>
        </v-img>
      </v-carousel-item>
    </v-carousel>
  </v-col>
</template>

<style scoped>
.fill-height {
  height: 100%;
}

.flex-column {
  display: flex;
  flex-direction: column;
}

.justify-space-between {
  justify-content: space-between;
}

.align-center {
  align-items: center;
}

.align-self-center {
  align-self: center;
}

.mb-2 {
  margin-bottom: 2rem;
}
</style>
